gr::gsm::gen_test_ab Class Reference

A block that does preprocessing tasks before sending bursts to modulator. More...

`#include <gen_test_ab.h>`

Inheritance diagram for gr::gsm::gen_test_ab:

## Public Types

typedef std::shared_ptr< gen_test_ab > | sptr

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of gsm::gen_test_ab.

## Detailed Description

A block that does preprocessing tasks before sending bursts to modulator.

Currently it removes GSMTAP header from a burst and puts it in first part of PDU pair and removes tailing zeros from Access Bursts coming from TRX interface.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<gen_test_ab> gr::gsm::gen_test_ab::sptr

## Member Function Documentation

## make()

sptr gr::gsm::gen_test_ab::make | ( |  | ) |

static

Return a shared_ptr to a new instance of gsm::gen_test_ab.

To avoid accidental use of raw pointers, gsm::gen_test_ab's constructor is in a private implementation class. gsm::gen_test_ab::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- gen_test_ab.h